GDatabox::Ruler Class Reference

`#include <gtkdataboxmm/ruler.h>`

Inheritance diagram for GDatabox::Ruler:
[legend]

## Public Member Functions

virtual | ~Ruler ()
GtkDataboxRuler* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkDataboxRuler* | gobj () const
| Provides access to the underlying C GtkObject. More...
| Ruler ()

## Related Functions

(Note that these are not member functions.)
GDatabox::Ruler* | wrap (GtkDataboxRuler* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

## ~Ruler()

virtual GDatabox::Ruler::~Ruler | ( |  | ) |

virtual

## Ruler()

GDatabox::Ruler::Ruler | ( |  | ) |

## Member Function Documentation

## gobj() [1/2]

GtkDataboxRuler* GDatabox::Ruler::gobj | ( |  | ) |

inline

Provides access to the underlying C GtkObject.

## gobj() [2/2]

const GtkDataboxRuler* GDatabox::Ruler::gobj | ( |  | ) | const

inline

Provides access to the underlying C GtkObject.

## Friends And Related Function Documentation

## wrap()

GDatabox::Ruler* wrap | ( | GtkDataboxRuler * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkdataboxmm/ruler.h